Link a KV store to another project
POST
/api/v2/organizations/{organization}/projects/{project}/kv/{store_id}/link
const url = 'https://dashboard.quantcdn.io/api/v2/organizations/test-org/projects/test-project/kv/store-123/link';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"project_id":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v2/organizations/test-org/projects/test-project/kv/store-123/link \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "project_id": 1 }'Share a KV store from the source project with a target project. The store will be accessible in the target project.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organization
required
string
Organization identifier
Example
test-orgproject
required
string
Source project identifier
Example
test-projectstore_id
required
string
KV store identifier
Example
store-123Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
project_id
required
Target project ID to link to
integer
Examplegenerated
{ "project_id": 1}Responses
Section titled “Responses”Store linked successfully
Media typeapplication/json
object
success
boolean
message
string
Example
{ "success": true}Store already linked or invalid request
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}Access forbidden
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}Store or target project not found
Media typeapplication/json
object
message
required
Error message
string
error
required
Error flag
boolean
Example
{ "message": "The requested resource was not found", "error": true}